| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.OsvListReadConfiguration Class Reference

Configuration class for reading OSV state vectors. More...

List of all members.

## Public Member Functions
| OsvListReadConfiguration ()
| Default constructor.
| OsvListReadConfiguration (long timeMode, long timeRef, long extendType, double timeStart, double timeStop, long orbitStart, long orbitStop, long extendNumOsv, double extendOsvSec)
| Constructor with parameters.
| OsvListReadConfiguration (OsvListReadConfiguration config)
| Copy constructor.
## Public Attributes
long | timeMode
| TimeInitModeEnum.
long | timeRef
| TimeRefDataHandlingEnum.
long | extendType
| ExtendTypeEnum.
double | timeStart
| Initialization time interval (only applicable if time_mode == XDCFI_SEL_TIME).
double | timeStop
| Initialization time interval (only applicable if time_mode == XDCFI_SEL_TIME).
long | orbitStart
| Initialization ORBIT interval (only applicable if time_mode == XDCFI_SEL_ORBIT).
long | orbitStop
| Initialization ORBIT interval (only applicable if time_mode == XDCFI_SEL_ORBIT).
long | extendNumOsv
| Number of OSVs to be added to initialization interval (only applicable if extend_type == XDCFI_EXTEND_NUM_OSV).
double | extendOsvSec
| Size of interval whose OSVs must be added before/after input interval (only applicable if extend_type == XDCFI_EXTEND_TIME).

## Detailed Description

Configuration class for reading OSV state vectors.

## Constructor & Destructor Documentation

EECFI.OsvListReadConfiguration.OsvListReadConfiguration | ( |  | ) |

Default constructor.

EECFI.OsvListReadConfiguration.OsvListReadConfiguration | ( | long | timeMode,
|  | long | timeRef,
|  | long | extendType,
|  | double | timeStart,
|  | double | timeStop,
|  | long | orbitStart,
|  | long | orbitStop,
|  | long | extendNumOsv,
|  | double | extendOsvSec |
| ) |  |  |

Constructor with parameters.

EECFI.OsvListReadConfiguration.OsvListReadConfiguration | ( | OsvListReadConfiguration | config | ) |

Copy constructor.

## Member Data Documentation

long EECFI.OsvListReadConfiguration.extendNumOsv

Number of OSVs to be added to initialization interval (only applicable if extend_type == XDCFI_EXTEND_NUM_OSV).

double EECFI.OsvListReadConfiguration.extendOsvSec

Size of interval whose OSVs must be added before/after input interval (only applicable if extend_type == XDCFI_EXTEND_TIME).

long EECFI.OsvListReadConfiguration.extendType

ExtendTypeEnum.

long EECFI.OsvListReadConfiguration.orbitStart

Initialization ORBIT interval (only applicable if time_mode == XDCFI_SEL_ORBIT).

long EECFI.OsvListReadConfiguration.orbitStop

Initialization ORBIT interval (only applicable if time_mode == XDCFI_SEL_ORBIT).

long EECFI.OsvListReadConfiguration.timeMode

TimeInitModeEnum.

long EECFI.OsvListReadConfiguration.timeRef

TimeRefDataHandlingEnum.

double EECFI.OsvListReadConfiguration.timeStart

Initialization time interval (only applicable if time_mode == XDCFI_SEL_TIME).

double EECFI.OsvListReadConfiguration.timeStop

Initialization time interval (only applicable if time_mode == XDCFI_SEL_TIME).